/*
 * 運営からのお知らせバー
 * NOTICE: フォントサイズは指示通り下記固定値とすること（デザイン反映は不要）
 * タイトル（PC 15px / SP 14px）
 * 本文（PC 14px / SP 12px）
 */
.tk2-admin-news {
  all: unset;
  position: relative;
  display: block;
  width: 100%;  
  margin-bottom: 1px;
  padding: 2px 0;
  box-sizing: border-box;  
  line-height: 1;
}

.tk2-admin-news[data-priority="second"][data-content="show"] {
  z-index: 99999999;
}

.tk2-admin-news[data-priority="first"][data-content="show"] {
  z-index: 99999998;
}

.tk2-admin-news[data-priority="second"] .tk2-admin-news-lists > div > dt {
  min-height: 38px;
}

.tk2-admin-news[data-priority="first"] .tk2-admin-news-lists > div > dt {
  min-height: 48px;
}

.js-admin-news-lists[data-count="1"] .tk2-admin-news-prev,
.js-admin-news-lists[data-count="1"] .tk2-admin-news-next {
  display: none;
}

.tk2-admin-news-inner {
  display: block;
  width: 100%;
  max-width: 980px;
  margin: 0 auto;

}

.tk2-admin-news-lists {
  margin: 0;
  padding: 0;
}

.tk2-admin-news-lists > div:not(:first-child) {
  display: none;
}

.tk2-admin-news-lists > div > dt {
  display: flex;
  align-items: center;
  gap: 2px;
  margin: 0;
  padding: 0;
}

.tk2-admin-news-lists > div > dd {
  position: absolute;
  left: 0;
  display: block;
  width: 100%;
  margin: 0;
  padding: 20px 0;
  box-sizing: border-box;
}

@media (max-width: 980px) {
  .tk2-admin-news-lists > div > dd {
    padding: 20px;
  }
}

.tk2-admin-news-headline {
  order: 2;
  display: flex;
  justify-content: center;
  align-items: center;  
  width: 100%;
}

.tk2-admin-news-headline-inner {
  display: inline-block;
  width: fit-content;
  margin: auto;
  line-height: 1.5;
  font-weight: bold;
  text-decoration: underline;
  text-underline-offset: 2px;
  font-size: 14px;
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
}

@media (max-width: 980px) {
  .tk2-admin-news-headline-inner {
    font-size: 12px;
  }
}

.tk2-admin-news-prev,
.tk2-admin-news-next {
  all: unset;
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 38px;
  height: 38px;
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
}

@media (max-width: 980px) {
  .tk2-admin-news-prev,
  .tk2-admin-news-next {
    min-height: 44px;
    height: 44px;
  }
}

.tk2-admin-news-prev {
  order: 1;
}

.tk2-admin-news-next {
  order: 3;
}

.tk2-admin-news-prev i,
.tk2-admin-news-next i {
  font-size: 20px;
}

.tk2-admin-news-close-outer {
  position: relative;
  display: none;
  width: 100%;
  max-width: 980px;
  margin: 0 auto;
}

.tk2-admin-news[data-content="show"] .tk2-admin-news-close-outer {
  display: block;
}

.tk2-admin-news-close {
  all: unset;
  position: absolute;
  z-index: 2;
  top: 3px;
  right: -15px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 44px;
  height: 44px;
  border-radius: 50%;
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
}

/*.NOTICE: +30px */
@media (max-width: 1010px) {
  .tk2-admin-news-close {
    right: 5px;
  }
}

.tk2-admin-news-close::before,
.tk2-admin-news-close::after {
  content: '';
  position: absolute;
  z-index: 2;
  rotate: 45deg;
}

.tk2-admin-news-close::before {
  width: 18px;
  height: 2px;
}

.tk2-admin-news-close::after {
  width: 2px;
  height: 18px;
}

.tk2-admin-news-content-outer {
  display: block;
  max-width: 980px;
  margin: auto;
  padding: 30px 10px 30px 30px;
  border-radius: 24px;  
  box-sizing: border-box;
}

@media (max-width: 980px) {
  .tk2-admin-news-content-outer {
    padding: 20px 10px 20px 20px;
    border-radius: 18px;
  }
}

.tk2-admin-news-content {
  display: block;
  max-height: 40vh;
  overflow-y: auto;
  overscroll-behavior: contain;
  padding: 0 20px 0 0;
  line-height: 1.6;
  font-size: 15px;
}

@media (max-width: 980px) {
  .tk2-admin-news-content {
    padding: 0 10px 0 0;
    font-size: 14px;
  }
}

.tk2-admin-news-prev,
.tk2-admin-news-next,
.tk2-admin-news-close::before,
.tk2-admin-news-close::after,
.tk2-admin-news-headline-inner {
  transition: 0.3s opacity;
}

.tk2-admin-news-prev:hover,
.tk2-admin-news-next:hover,
.tk2-admin-news-close:hover::before,
.tk2-admin-news-close:hover::after,
.tk2-admin-news-headline-inner:hover {
  opacity: 0.5;
}

/* js連動 */
.tk2-admin-news-headline-inner,
.tk2-admin-news-content {
  opacity: 1;
  transition: 0.6s opacity;
}

.tk2-admin-news-opening .tk2-admin-news-headline-inner,
.tk2-admin-news-opening .tk2-admin-news-content,
.tk2-admin-news-change .tk2-admin-news-headline-inner,
.tk2-admin-news-change .tk2-admin-news-content {
  opacity: 0;
}


/* モジュール別カラー */
.tk2-admin-news[data-priority="second"],
.tk2-admin-news[data-priority="second"] dd {
  background: #fffcf7;
}

.tk2-admin-news[data-priority="second"] .tk2-admin-news-close,
.tk2-admin-news[data-priority="second"] .tk2-admin-news-content-outer {
  background: #333;
  color: #fff;
}

.tk2-admin-news[data-priority="second"] .tk2-admin-news-close::before,
.tk2-admin-news[data-priority="second"] .tk2-admin-news-close::after {
  background: #fff;
}

/* type a b c */
.tk2-admin-news[data-priority="first"] .tk2-admin-news-close::before,
.tk2-admin-news[data-priority="first"] .tk2-admin-news-close::after {
  background: #212121;
}

/* type a */
.tk2-admin-news[data-priority="first"][data-type="a"],
.tk2-admin-news[data-priority="first"][data-type="a"] dd {
  background: #FCDEDA;
  color: #BD2120;
}

.tk2-admin-news[data-priority="first"][data-type="a"] .tk2-admin-news-close,
.tk2-admin-news[data-priority="first"][data-type="a"] .tk2-admin-news-content-outer {
  background: #fffcf7;
  color: #424242;
}

/* type b */
.tk2-admin-news[data-priority="first"][data-type="b"],
.tk2-admin-news[data-priority="first"][data-type="b"] dd {
  background: #00bcd4;
  color: #fff;
}

.tk2-admin-news[data-priority="first"][data-type="b"] .tk2-admin-news-close,
.tk2-admin-news[data-priority="first"][data-type="b"] .tk2-admin-news-content-outer {
  background: #fff;
  color: #424242;
}


/* type c */
.tk2-admin-news[data-priority="first"][data-type="c"],
.tk2-admin-news[data-priority="first"][data-type="c"] dd {
  background: #212121;
  color: #fff;
}

.tk2-admin-news[data-priority="first"][data-type="c"] .tk2-admin-news-close,
.tk2-admin-news[data-priority="first"][data-type="c"] .tk2-admin-news-content-outer {
  background: #fff;
  color: #424242;
}

